NSX-T Data Center REST API

Update ssh service properties

Update ssh service properties. If the start_on_boot property is updated to
true, existing ssh sessions if any are stopped and the ssh service is
restarted.
If root_login is updated to false then SSH to the root is not permitted.
Banner should be formatted proprtly before sending into the request body.
"\n" can be used for multiline message.

Request:

Method:
PUT
URI Path(s):
/api/v1/transport-nodes/{transport-node-id}/node/services/ssh
/api/v1/cluster/{cluster-node-id}/node/services/ssh
/api/v1/node/services/ssh
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
NodeSshServiceProperties+

Example Request:

PUT https://<nsx-mgr>/api/v1/node/services/ssh { "service_name": "ssh", "service_properties": { "banner": "******************************************************************\n\n* WARNING: Authorized Personnel Only! *\n\n* Unauthorized access to this system is prohibited and may be *\n\n* monitored. Violators will be prosecuted to the fullest extent *\n\n* of the law. *\n\n******************************************************************\n", "start_on_boot": false, "root_login": true } }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
NodeSshServiceProperties+

Example Response:

{ "_schema": "NodeSshServiceProperties", "_self": "/node/services/ssh", "service_name": "ssh", "service_properties": { "banner": "******************************************************************\n\n* WARNING: Authorized Personnel Only! *\n\n* Unauthorized access to this system is prohibited and may be *\n\n* monitored. Violators will be prosecuted to the fullest extent *\n\n* of the law. *\n\n******************************************************************\n", "start_on_boot": false, "root_login": true } }

Required Permissions:

crud

Feature:

system_administration

Additional Errors: